Subject: Re: [Pce] Update of draft-wu-pce-traffic-steering-sfc-11

From: Qin Wu <[email-masked]>
Date: Mon, 24 Apr 2017 03:01:36 +0000

You are right, two work are complementary.
The PCE-initiated SFP instantiation signaling defined in draft-wu-pce-traffic-steering-sfc-11 can be used to exchanged SFP information between PCE server and SFC Classifier.
BGP Control plane defined in draft-ietf-bess-nsh-bgp-control-plane can be used to exchange SFP information or association between RD and SFP ID between the controller and SFFs.
In addition, such BGP Control plane can be used to exchange SF Instance related information, not sure whether it is communicated between SF host node and the controller or between SF host node SFF node
Here is the proposed change to section 7 of draft-wu-pce-traffic-steering-sfc-11
“
7.  SFP Instantiation Signaling and Forwarding Considerations

   The PCE-initiated SFP instantiation signaling described in this
   document is exchanged between PCE server and SFC Classifier and
does not assume any specific mechanism to exchange SFP
   information(e.g.,path identification
   information,metadata[I-D.ietf-sfc-nsh]) between SFFs or between SFF and SF,
or between the controller and SFF and establish SFP in the data
   plane throughout a SFC domain.  For example, such mechanism can rely
   upon the use of the SFC Encapsulation defined in [I-D.ietf-sfc-nsh] to exchange
SFP information between SFFs or reply upon the use of BGP Control plane defined in
[I-D. ietf-bess-nsh-bgp-control-plane] to exchange SFP information between the
Controller and SFF.
   Likewise, [I-D.ietf-teas-pce-central-control] can use the signaling
   mechanism described in this draft to enforce SFC-inferred traffic
   engineering policies and provide load balancing between service
   function nodes. The approach that relies upon the Segment Routing
   technique [I-D.ietf-pce-segment-routing] can also take advantage of
   the signaling mechanism described in this document to support Service
   Path instantiation, which does not require any additional specific
   extension to the Segment Routing machinery.

”
Let me know if this change addresses your comment?

-Qin
发件人: Pce [mailto:[email-masked]] 代表 Qin Wu
发送时间: 2017年3月29日 8:04
收件人: [email-masked]; adrian
主题: [Pce] 答复: Update of draft-wu-pce-traffic-steering-sfc-11

Adrian:
Good feedback and happy to see your proposal,:-)

-Qin
Sent from HUAWEI AnyOffice
发件人： adrian
收件人： Qin Wu; [email-masked]<mailto:[email-masked]>;
主题： RE: [Pce] Update of draft-wu-pce-traffic-steering-sfc-11
时间： 2017-03-28 18:10:27

Thanks for the update, Qin.

As I said to you in private conversation, I think this is good work, in scope for the WG, and useful.
The high revision number of the document reflects, I believe, that you saw the future and started the work quite a bit earlier than anyone was ready for. I think we are ready now.

The one (small) thing I mentioned that I would like to see added to the draft is a small section that relates this work to draft-ietf-bess-nsh-bgp-control-plane. It seems to me that everything is compatible and all we need to do is describe briefly how the pieces it together.

If you like, I can suggest text.

Thanks,
Adrian

From: Pce [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: 28 March 2017 00:42
To: [email-masked]<mailto:[email-masked]>
Subject: [Pce] Update of draft-wu-pce-traffic-steering-sfc-11

Hi, All:

Didn't get time to introduce PCEP extension for SFC support:

Here is the update of draft-wu-pce-traffic-steering-sfc-11<https://tools.ietf.org/html/draft-wu-pce-traffic-steering-sfc-11>,

https://www.ietf.org/proceedings/98/slides/slides-98-pce-42-pcep-extensions-for-sfc-00.pdf

This draft provides PCEP extension to address Path computation and classification requirements defined in RFC7665 and

I-D.ietf-sfc-control-plane. It is also aligned with SFC control plane and teas WG pce central control drafts.

This draft has been around several IETF meetings and became stable when several dependent documents have been solid as basis.

Before this meeting, we recieved a few comments from SFC chairs and it has been addressed in v-(11).

We are happy to recieve additional comments if you have. Thanks!

-Qin